summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-28 21:31:00 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-28 21:31:00 (GMT)
commit088d235213f43978790a0f6864a84b97a4817cf5 (patch)
tree39523a00ccb73600bc30213cd85a57e161705ca9
parentc8eb0fa27c78daf50c995b94f9f72f69b3404387 (diff)
downloadlinhes_pkgbuild-088d235213f43978790a0f6864a84b97a4817cf5.zip
linhes_pkgbuild-088d235213f43978790a0f6864a84b97a4817cf5.tar.gz
linhes_pkgbuild-088d235213f43978790a0f6864a84b97a4817cf5.tar.bz2
update mplayer
add xine various other libs needed by the above
-rw-r--r--abs/core-testing/unzip/PKGBUILD41
-rw-r--r--abs/core-testing/unzip/unzip-5.5.2-CVE-2008-0888.patch50
-rw-r--r--abs/core-testing/unzip/unzip-5.50-alt-iconv-v1.2-utf8.patch430
-rw-r--r--abs/core-testing/unzip/unzip542-size-64bit.patch72
-rw-r--r--abs/extra-testing/libcaca/PKGBUILD20
-rw-r--r--abs/extra-testing/libdca/PKGBUILD22
-rw-r--r--abs/extra-testing/libmng/PKGBUILD25
-rw-r--r--abs/extra-testing/live-media/PKGBUILD31
-rw-r--r--abs/extra-testing/mplayer/PKGBUILD2
-rw-r--r--abs/extra-testing/wavpack/PKGBUILD25
-rw-r--r--abs/extra-testing/xine-lib/ChangeLog11
-rw-r--r--abs/extra-testing/xine-lib/PKGBUILD38
-rw-r--r--abs/extra-testing/xine-lib/xine-header.patch11
-rw-r--r--abs/extra-testing/xine-lib/xine-lib-1.1.1-configure-no-mcpu-march.patch13
-rw-r--r--abs/extra-testing/xine-ui/ChangeLog7
-rw-r--r--abs/extra-testing/xine-ui/PKGBUILD30
16 files changed, 827 insertions, 1 deletions
diff --git a/abs/core-testing/unzip/PKGBUILD b/abs/core-testing/unzip/PKGBUILD
new file mode 100644
index 0000000..4bcecf5
--- /dev/null
+++ b/abs/core-testing/unzip/PKGBUILD
@@ -0,0 +1,41 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Dan McGee <dan@archlinux.org>
+
+pkgname=unzip
+pkgver=5.52
+pkgrel=4
+pkgdesc="Unpacks .zip archives such as those made by PKZIP"
+arch=('i686' 'x86_64')
+url="http://www.info-zip.org/"
+license=('custom')
+depends=('glibc')
+source=(http://downloads.sourceforge.net/infozip/unzip552.tar.gz
+ unzip-5.5.2-CVE-2008-0888.patch
+ unzip-5.50-alt-iconv-v1.2-utf8.patch
+ unzip542-size-64bit.patch)
+md5sums=('9d23919999d6eac9217d1f41472034a9'
+ '2de357c2ba84576f38b17aed87915c87'
+ 'a4797a1f6e45385f5e021f9f6f2ec0fa'
+ '83c7e79de9618bf7d081dd639dd3dde1')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+
+ # http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-0888
+ patch -Np0 -i ../unzip-5.5.2-CVE-2008-0888.patch || return 1
+
+ # FS#8383
+ patch -Np1 -i ../unzip-5.50-alt-iconv-v1.2-utf8.patch || return 1
+
+ [ "$CARCH" == "x86_64" ] && (patch -Np0 -i ../unzip542-size-64bit.patch || return 1)
+
+ export CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
+ if [ "${CARCH}" = "i686" ]; then
+ make -f unix/Makefile LOCAL_UNZIP="$CFLAGS" prefix=/usr linux || return 1
+ else
+ make -f unix/Makefile LOCAL_UNZIP="$CFLAGS" prefix=/usr linux_noasm || return 1
+ fi
+ make -f unix/Makefile prefix=$startdir/pkg/usr install
+
+ install -Dm644 LICENSE $startdir/pkg/usr/share/licenses/unzip/LICENSE
+}
diff --git a/abs/core-testing/unzip/unzip-5.5.2-CVE-2008-0888.patch b/abs/core-testing/unzip/unzip-5.5.2-CVE-2008-0888.patch
new file mode 100644
index 0000000..f29a75b
--- /dev/null
+++ b/abs/core-testing/unzip/unzip-5.5.2-CVE-2008-0888.patch
@@ -0,0 +1,50 @@
+--- inflate.c 2005-02-27 06:08:46.000000000 +0000
++++ inflate.c 2006-07-19 21:45:33.543595000 +0100
+@@ -983,6 +983,7 @@
+ unsigned l; /* last length */
+ unsigned m; /* mask for bit lengths table */
+ unsigned n; /* number of lengths to get */
++ struct huft *tlp;
+ struct huft *tl; /* literal/length code table */
+ struct huft *td; /* distance code table */
+ unsigned bl; /* lookup bits for tl */
+@@ -996,6 +997,8 @@
+ int retval = 0; /* error code returned: initialized to "no error" */
+
+
++ td = tlp = tl = (struct huft *)NULL;
++
+ /* make local bit buffer */
+ Trace((stderr, "\ndynamic block"));
+ b = G.bb;
+@@ -1047,9 +1050,9 @@
+ while (i < n)
+ {
+ NEEDBITS(bl)
+- j = (td = tl + ((unsigned)b & m))->b;
++ j = (tlp = tl + ((unsigned)b & m))->b;
+ DUMPBITS(j)
+- j = td->v.n;
++ j = tlp->v.n;
+ if (j < 16) /* length of code in bits (0..15) */
+ ll[i++] = l = j; /* save last length in l */
+ else if (j == 16) /* repeat last length 3 to 6 times */
+@@ -1141,6 +1144,7 @@
+ huft_free(td);
+ }
+ huft_free(tl);
++
+ return retval;
+ }
+
+@@ -1149,8 +1153,8 @@
+
+ cleanup_and_exit:
+ /* free the decoding tables, return */
+- huft_free(tl);
+- huft_free(td);
++ if (tl) huft_free(tl);
++ if (td) huft_free(td);
+ return retval;
+ }
+
diff --git a/abs/core-testing/unzip/unzip-5.50-alt-iconv-v1.2-utf8.patch b/abs/core-testing/unzip/unzip-5.50-alt-iconv-v1.2-utf8.patch
new file mode 100644
index 0000000..0a215f4
--- /dev/null
+++ b/abs/core-testing/unzip/unzip-5.50-alt-iconv-v1.2-utf8.patch
@@ -0,0 +1,430 @@
+*** unzip-5.50-real/unix/unix.c 2002-01-22 03:54:42.000000000 +0500
+--- unzip-5.50/unix/unix.c 2006-02-20 14:42:21.607294176 +0500
+***************
+*** 29,34 ****
+--- 29,37 ----
+ #define UNZIP_INTERNAL
+ #include "unzip.h"
+
++ #include <iconv.h>
++ #include <langinfo.h>
++
+ #ifdef SCO_XENIX
+ # define SYSNDIR
+ #else /* SCO Unix, AIX, DNIX, TI SysV, Coherent 4.x, ... */
+***************
+*** 1524,1526 ****
+--- 1527,1616 ----
+ }
+ }
+ #endif /* QLZIP */
++
++
++ typedef struct {
++ char *local_charset;
++ char *archive_charset;
++ } CHARSET_MAP;
++
++ /* A mapping of local <-> archive charsets used by default to convert filenames
++ * of DOS/Windows Zip archives. Currently very basic. */
++ static CHARSET_MAP dos_charset_map[] = {
++ { "ANSI_X3.4-1968", "CP850" },
++ { "ISO-8859-1", "CP850" },
++ { "CP1252", "CP850" },
++ { "UTF-8", "CP866" },
++ { "KOI8-R", "CP866" },
++ { "KOI8-U", "CP866" },
++ { "ISO-8859-5", "CP866" }
++ };
++
++ char OEM_CP[MAX_CP_NAME] = "";
++ char ISO_CP[MAX_CP_NAME] = "";
++
++ /* Try to guess the default value of OEM_CP based on the current locale.
++ * ISO_CP is left alone for now. */
++ void init_conversion_charsets()
++ {
++ const char *local_charset;
++ int i;
++
++ /* Make a guess only if OEM_CP not already set. */
++ if(*OEM_CP == '\0') {
++ local_charset = nl_langinfo(CODESET);
++ for(i = 0; i < sizeof(dos_charset_map)/sizeof(CHARSET_MAP); i++)
++ if(!strcasecmp(local_charset, dos_charset_map[i].local_charset)) {
++ strncpy(OEM_CP, dos_charset_map[i].archive_charset,
++ sizeof(OEM_CP));
++ break;
++ }
++ }
++ }
++
++ /* Convert a string from one encoding to the current locale using iconv().
++ * Be as non-intrusive as possible. If error is encountered during covertion
++ * just leave the string intact. */
++ static void charset_to_intern(char *string, char *from_charset)
++ {
++ iconv_t cd;
++ char *s,*d, *buf;
++ size_t slen, dlen, buflen;
++ const char *local_charset;
++
++ if(*from_charset == '\0')
++ return;
++
++ buf = NULL;
++ local_charset = nl_langinfo(CODESET);
++
++ if((cd = iconv_open(local_charset, from_charset)) == (iconv_t)-1)
++ return;
++
++ slen = strlen(string);
++ s = string;
++ dlen = buflen = 2*slen;
++ d = buf = malloc(buflen + 1);
++ if(!d)
++ goto cleanup;
++ bzero(buf,buflen);
++ if(iconv(cd, &s, &slen, &d, &dlen) == (size_t)-1)
++ goto cleanup;
++ strncpy(string, buf, buflen);
++
++ cleanup:
++ free(buf);
++ iconv_close(cd);
++ }
++
++ /* Convert a string from OEM_CP to the current locale charset. */
++ inline void oem_intern(char *string)
++ {
++ charset_to_intern(string, OEM_CP);
++ }
++
++ /* Convert a string from ISO_CP to the current locale charset. */
++ inline void iso_intern(char *string)
++ {
++ charset_to_intern(string, ISO_CP);
++ }
+*** unzip-5.50-real/unix/unxcfg.h 2001-06-04 05:27:14.000000000 +0600
+--- unzip-5.50/unix/unxcfg.h 2006-02-20 14:16:27.194600824 +0500
+***************
+*** 123,126 ****
+--- 123,152 ----
+ /* wild_dir, dirname, wildname, matchname[], dirnamelen, have_dirname, */
+ /* and notfirstcall are used by do_wild(). */
+
++
++ #define MAX_CP_NAME 25
++
++ #ifdef SETLOCALE
++ # undef SETLOCALE
++ #endif
++ #define SETLOCALE(category, locale) setlocale(category, locale)
++ #include <locale.h>
++
++ #ifdef _ISO_INTERN
++ # undef _ISO_INTERN
++ #endif
++ #define _ISO_INTERN(str1) iso_intern(str1)
++
++ #ifdef _OEM_INTERN
++ # undef _OEM_INTERN
++ #endif
++ #ifndef IZ_OEM2ISO_ARRAY
++ # define IZ_OEM2ISO_ARRAY
++ #endif
++ #define _OEM_INTERN(str1) oem_intern(str1)
++
++ void iso_intern(char *);
++ void oem_intern(char *);
++ void init_conversion_charsets(void);
++
+ #endif /* !__unxcfg_h */
+*** unzip-5.50-real/unzip.c 2002-01-28 00:26:16.000000000 +0500
+--- unzip-5.50/unzip.c 2006-02-20 14:16:27.196600520 +0500
+***************
+*** 304,314 ****
+--- 304,324 ----
+ -2 just filenames but allow -h/-t/-z -l long Unix \"ls -l\" format\n\
+ -v verbose, multi-page format\n";
+
++ #ifndef UNIX
+ static ZCONST char Far ZipInfoUsageLine3[] = "miscellaneous options:\n\
+ -h print header line -t print totals for listed files or for all\n\
+ -z print zipfile comment %c-T%c print file times in sortable decimal format\
+ \n %c-C%c be case-insensitive %s\
+ -x exclude filenames that follow from listing\n";
++ #else /* UNIX */
++ static ZCONST char Far ZipInfoUsageLine3[] = "miscellaneous options:\n\
++ -h print header line -t print totals for listed files or for all\n\
++ -z print zipfile comment %c-T%c print file times in sortable decimal format\
++ \n %c-C%c be case-insensitive %s\
++ -x exclude filenames that follow from listing\n\
++ -O CHARSET specify a character encoding for DOS, Windows and OS/2 archives\n\
++ -I CHARSET specify a character encoding for UNIX and other archives\n";
++ #endif /* !UNIX */
+ #ifdef MORE
+ #ifdef VMS
+ static ZCONST char Far ZipInfoUsageLine4[] =
+***************
+*** 589,594 ****
+--- 599,605 ----
+ #endif /* ?VM_CMS */
+ #endif /* ?MACOS */
+
++ #ifndef UNIX
+ static ZCONST char Far UnzipUsageLine4[] = "\
+ modifiers: -q quiet mode (-qq => quieter)\n\
+ -n never overwrite existing files -a auto-convert any text files\n\
+***************
+*** 596,601 ****
+--- 607,623 ----
+ -j junk paths (do not make directories) -v be verbose/print version info\n\
+ %c-C%c match filenames case-insensitively %c-L%c make (some) names \
+ lowercase\n %-42s %c-V%c retain VMS version numbers\n%s";
++ #else /* UNIX */
++ static ZCONST char Far UnzipUsageLine4[] = "\
++ modifiers: -q quiet mode (-qq => quieter)\n\
++ -n never overwrite existing files -a auto-convert any text files\n\
++ -o overwrite files WITHOUT prompting -aa treat ALL files as text\n \
++ -j junk paths (do not make directories) -v be verbose/print version info\n\
++ %c-C%c match filenames case-insensitively %c-L%c make (some) names \
++ lowercase\n %-42s %c-V%c retain VMS version numbers\n%s\n\
++ -O CHARSET specify a character encoding for DOS, Windows and OS/2 archives\n\
++ -I CHARSET specify a character encoding for UNIX and other archives\n\n";
++ #endif /* !UNIX */
+
+ static ZCONST char Far UnzipUsageLine5[] = "\
+ Examples (see unzip.txt for more info):\n\
+***************
+*** 656,661 ****
+--- 678,687 ----
+
+ SETLOCALE(LC_CTYPE,"");
+
++ #ifdef UNIX
++ init_conversion_charsets();
++ #endif
++
+ #if (defined(__IBMC__) && defined(__DEBUG_ALLOC__))
+ extern void DebugMalloc(void);
+
+***************
+*** 1070,1075 ****
+--- 1096,1106 ----
+ argc = *pargc;
+ argv = *pargv;
+
++ #ifdef UNIX
++ extern char OEM_CP[MAX_CP_NAME];
++ extern char ISO_CP[MAX_CP_NAME];
++ #endif
++
+ while (++argv, (--argc > 0 && *argv != NULL && **argv == '-')) {
+ s = *argv + 1;
+ while ((c = *s++) != 0) { /* "!= 0": prevent Turbo C warning */
+***************
+*** 1233,1238 ****
+--- 1264,1298 ----
+ }
+ break;
+ #endif /* MACOS */
++ #ifdef UNIX
++ case ('I'):
++ if (negative) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: encodings can't be negated"));
++ return(PK_PARAM);
++ } else {
++ if(*s) { /* Handle the -Icharset case */
++ /* Assume that charsets can't start with a dash to spot arguments misuse */
++ if(*s == '-') {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -I argument"));
++ return(PK_PARAM);
++ }
++ strncpy(ISO_CP, s, sizeof(ISO_CP));
++ } else { /* -I charset */
++ ++argv;
++ if(!(--argc > 0 && *argv != NULL && **argv != '-')) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -I argument"));
++ return(PK_PARAM);
++ }
++ s = *argv;
++ strncpy(ISO_CP, s, sizeof(ISO_CP));
++ }
++ while(*(++s)); /* No params straight after charset name */
++ }
++ break;
++ #endif /* ?UNIX */
+ case ('j'): /* junk pathnames/directory structure */
+ if (negative)
+ uO.jflag = FALSE, negative = 0;
+***************
+*** 1299,1304 ****
+--- 1359,1393 ----
+ } else
+ ++uO.overwrite_all;
+ break;
++ #ifdef UNIX
++ case ('O'):
++ if (negative) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: encodings can't be negated"));
++ return(PK_PARAM);
++ } else {
++ if(*s) { /* Handle the -Ocharset case */
++ /* Assume that charsets can't start with a dash to spot arguments misuse */
++ if(*s == '-') {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -I argument"));
++ return(PK_PARAM);
++ }
++ strncpy(OEM_CP, s, sizeof(OEM_CP));
++ } else { /* -O charset */
++ ++argv;
++ if(!(--argc > 0 && *argv != NULL && **argv != '-')) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -O argument"));
++ return(PK_PARAM);
++ }
++ s = *argv;
++ strncpy(OEM_CP, s, sizeof(OEM_CP));
++ }
++ while(*(++s)); /* No params straight after charset name */
++ }
++ break;
++ #endif /* ?UNIX */
+ case ('p'): /* pipes: extract to stdout, no messages */
+ if (negative) {
+ uO.cflag = FALSE;
+*** unzip-5.50-real/unzpriv.h 2002-02-17 22:01:48.000000000 +0500
+--- unzip-5.50/unzpriv.h 2006-02-20 14:16:27.198600216 +0500
+***************
+*** 1103,1109 ****
+ # define lastchar(ptr, len) (ptr[(len)-1])
+ # define MBSCHR(str, c) strchr(str, c)
+ # define MBSRCHR(str, c) strrchr(str, c)
+! # define SETLOCALE(category, locale)
+ #endif /* ?_MBCS */
+ #define INCSTR(ptr) PREINCSTR(ptr)
+
+--- 1103,1111 ----
+ # define lastchar(ptr, len) (ptr[(len)-1])
+ # define MBSCHR(str, c) strchr(str, c)
+ # define MBSRCHR(str, c) strrchr(str, c)
+! # ifndef SETLOCALE
+! # define SETLOCALE(category, locale)
+! # endif
+ #endif /* ?_MBCS */
+ #define INCSTR(ptr) PREINCSTR(ptr)
+
+***************
+*** 2424,2430 ****
+ !(((islochdr) || (isuxatt)) && \
+ ((hostver) == 25 || (hostver) == 26 || (hostver) == 40))) || \
+ (hostnum) == FS_HPFS_ || \
+! ((hostnum) == FS_NTFS_ && (hostver) == 50)) { \
+ _OEM_INTERN((string)); \
+ } else { \
+ _ISO_INTERN((string)); \
+--- 2426,2432 ----
+ !(((islochdr) || (isuxatt)) && \
+ ((hostver) == 25 || (hostver) == 26 || (hostver) == 40))) || \
+ (hostnum) == FS_HPFS_ || \
+! ((hostnum) == FS_NTFS_/* && (hostver) == 50*/)) { \
+ _OEM_INTERN((string)); \
+ } else { \
+ _ISO_INTERN((string)); \
+*** unzip-5.50-real/zipinfo.c 2001-12-26 03:56:40.000000000 +0500
+--- unzip-5.50/zipinfo.c 2006-02-20 14:16:27.200599912 +0500
+***************
+*** 440,445 ****
+--- 440,449 ----
+ int tflag_slm=TRUE, tflag_2v=FALSE;
+ int explicit_h=FALSE, explicit_t=FALSE;
+
++ #ifdef UNIX
++ extern char OEM_CP[MAX_CP_NAME];
++ extern char ISO_CP[MAX_CP_NAME];
++ #endif
+
+ #ifdef MACOS
+ uO.lflag = LFLAG; /* reset default on each call */
+***************
+*** 484,489 ****
+--- 488,522 ----
+ uO.lflag = 0;
+ }
+ break;
++ #ifdef UNIX
++ case ('I'):
++ if (negative) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: encodings can't be negated"));
++ return(PK_PARAM);
++ } else {
++ if(*s) { /* Handle the -Icharset case */
++ /* Assume that charsets can't start with a dash to spot arguments misuse */
++ if(*s == '-') {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -I argument"));
++ return(PK_PARAM);
++ }
++ strncpy(ISO_CP, s, sizeof(ISO_CP));
++ } else { /* -I charset */
++ ++argv;
++ if(!(--argc > 0 && *argv != NULL && **argv != '-')) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -I argument"));
++ return(PK_PARAM);
++ }
++ s = *argv;
++ strncpy(ISO_CP, s, sizeof(ISO_CP));
++ }
++ while(*(++s)); /* No params straight after charset name */
++ }
++ break;
++ #endif /* ?UNIX */
+ case 'l': /* longer form of "ls -l" type listing */
+ if (negative)
+ uO.lflag = -2, negative = 0;
+***************
+*** 504,509 ****
+--- 537,571 ----
+ G.M_flag = TRUE;
+ break;
+ #endif
++ #ifdef UNIX
++ case ('O'):
++ if (negative) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: encodings can't be negated"));
++ return(PK_PARAM);
++ } else {
++ if(*s) { /* Handle the -Ocharset case */
++ /* Assume that charsets can't start with a dash to spot arguments misuse */
++ if(*s == '-') {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -I argument"));
++ return(PK_PARAM);
++ }
++ strncpy(OEM_CP, s, sizeof(OEM_CP));
++ } else { /* -O charset */
++ ++argv;
++ if(!(--argc > 0 && *argv != NULL && **argv != '-')) {
++ Info(slide, 0x401, ((char *)slide,
++ "error: a valid character encoding should follow the -O argument"));
++ return(PK_PARAM);
++ }
++ s = *argv;
++ strncpy(OEM_CP, s, sizeof(OEM_CP));
++ }
++ while(*(++s)); /* No params straight after charset name */
++ }
++ break;
++ #endif /* ?UNIX */
+ case 's': /* default: shorter "ls -l" type listing */
+ if (negative)
+ uO.lflag = -2, negative = 0;
diff --git a/abs/core-testing/unzip/unzip542-size-64bit.patch b/abs/core-testing/unzip/unzip542-size-64bit.patch
new file mode 100644
index 0000000..0142a36
--- /dev/null
+++ b/abs/core-testing/unzip/unzip542-size-64bit.patch
@@ -0,0 +1,72 @@
+--- ./zipinfo.c.gege Sat Jan 13 22:42:38 2001
++++ ./zipinfo.c Tue Mar 19 13:54:52 2002
+@@ -172,7 +172,7 @@
+ static ZCONST char Far CentralDirEntry[] =
+ "\nCentral directory entry #%lu:\n---------------------------\n\n";
+ static ZCONST char Far ZipfileStats[] =
+- "%lu file%s, %lu bytes uncompressed, %lu bytes compressed: %s%d.%d%%\n";
++ "%lu file%s, %llu bytes uncompressed, %llu bytes compressed: %s%d.%d%%\n";
+
+ /* zi_long() strings */
+ static ZCONST char Far OS_FAT[] = "MS-DOS, OS/2 or NT FAT";
+@@ -699,7 +699,7 @@
+ int do_this_file=FALSE, error, error_in_archive=PK_COOL;
+ int *fn_matched=NULL, *xn_matched=NULL;
+ ulg j, members=0L;
+- ulg tot_csize=0L, tot_ucsize=0L;
++ ulg64 tot_csize=0L, tot_ucsize=0L;
+ ulg endprev; /* buffers end of previous entry for zi_long()'s check
+ * of extra bytes */
+
+--- ./unzip.h.gege Fri Apr 21 01:21:14 2000
++++ ./unzip.h Tue Mar 19 13:55:10 2002
+@@ -322,7 +322,8 @@
+ typedef unsigned char uch; /* code assumes unsigned bytes; these type- */
+ typedef unsigned short ush; /* defs replace byte/UWORD/ULONG (which are */
+ typedef unsigned long ulg; /* predefined on some systems) & match zip */
++typedef unsigned long long ulg64; /* predefined on some systems) & match zip */
+ #define _IZ_TYPES_DEFINED
+ #endif /* !_IZ_TYPES_DEFINED */
+
+
+--- ./list.c.gege Sat Jan 13 22:39:48 2001
++++ ./list.c Tue Mar 19 17:03:27 2002
+@@ -633,23 +633,16 @@
+ /********************/
+
+ int ratio(uc, c)
+- ulg uc, c;
++ ulg64 uc, c;
+ {
+- ulg denom;
++ ulg64 denom;
+
+ if (uc == 0)
+ return 0;
+- if (uc > 2000000L) { /* risk signed overflow if multiply numerator */
+- denom = uc / 1000L;
+- return ((uc >= c) ?
+- (int) ((uc-c + (denom>>1)) / denom) :
+- -((int) ((c-uc + (denom>>1)) / denom)));
+- } else { /* ^^^^^^^^ rounding */
+- denom = uc;
+- return ((uc >= c) ?
++ denom = uc;
++ return ((uc >= c) ?
+ (int) ((1000L*(uc-c) + (denom>>1)) / denom) :
+ -((int) ((1000L*(c-uc) + (denom>>1)) / denom)));
+- } /* ^^^^^^^^ rounding */
+ }
+
+
+--- ./unzpriv.h.gege Wed Jan 10 23:53:56 2001
++++ ./unzpriv.h Tue Mar 19 17:05:08 2002
+@@ -1669,7 +1669,7 @@
+ int get_time_stamp OF((__GPRO__ time_t *last_modtime,
+ ulg *nmember));
+ #endif
+-int ratio OF((ulg uc, ulg c));
++int ratio OF((ulg64 uc, ulg64 c));
+ void fnprint OF((__GPRO));
+
+ #endif /* !SFX */
diff --git a/abs/extra-testing/libcaca/PKGBUILD b/abs/extra-testing/libcaca/PKGBUILD
new file mode 100644
index 0000000..f0c3710
--- /dev/null
+++ b/abs/extra-testing/libcaca/PKGBUILD
@@ -0,0 +1,20 @@
+# $Id: PKGBUILD 9776 2008-08-19 00:46:51Z eric $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgname=libcaca
+pkgver=0.9
+pkgrel=2
+pkgdesc="Color AsCii Art library"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://libcaca.zoy.org/"
+depends=('freetype2' 'imlib2' 'ncurses>=5.6-7')
+source=(http://libcaca.zoy.org/files/libcaca/${pkgname}-${pkgver}.tar.gz)
+md5sums=('97b0f526f39491389e159055f574c921')
+
+build() {
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --mandir=/usr/share/man --enable-shared --disable-doc
+ make || return 1
+ make DESTDIR=${startdir}/pkg install
+}
diff --git a/abs/extra-testing/libdca/PKGBUILD b/abs/extra-testing/libdca/PKGBUILD
new file mode 100644
index 0000000..4794c02
--- /dev/null
+++ b/abs/extra-testing/libdca/PKGBUILD
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Andreas Radke <andyrtr@archlinux.org>
+
+pkgname=libdca
+pkgver=0.0.5
+pkgrel=1
+pkgdesc="Free library for decoding DTS Coherent Acoustics streams"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://www.videolan.org/developers/libdca.html"
+source=(http://download.videolan.org/pub/videolan/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2)
+md5sums=('dab6b2795c66a82a6fcd4f8343343021')
+provides=('libdts')
+replaces=('libdts')
+options=('!libtool' '!emptydirs')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+}
diff --git a/abs/extra-testing/libmng/PKGBUILD b/abs/extra-testing/libmng/PKGBUILD
new file mode 100644
index 0000000..d0fd215
--- /dev/null
+++ b/abs/extra-testing/libmng/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+# Maintainer: judd <jvinet@zeroflux.org>
+pkgname=libmng
+pkgver=1.0.10
+pkgrel=1
+pkgdesc="A collection of routines used to create and manipulate MNG format graphics files"
+arch=('i686' 'x86_64')
+url="http://www.libmng.com/"
+license=('custom')
+depends=('zlib' 'libjpeg')
+options=(!libtool)
+source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('a464ae7d679781beebdf7440d144b7bd')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ln -s makefiles/configure.in .
+ ln -s makefiles/Makefile.am .
+ autoreconf --force --install
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+ install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+}
diff --git a/abs/extra-testing/live-media/PKGBUILD b/abs/extra-testing/live-media/PKGBUILD
new file mode 100644
index 0000000..5e37fe1
--- /dev/null
+++ b/abs/extra-testing/live-media/PKGBUILD
@@ -0,0 +1,31 @@
+#$Id: PKGBUILD 13918 2008-09-29 20:59:34Z giovanni $
+#Maintainer: Aaron, phrakture, Griffin <aaron@archlinux.org>
+#Contributor: Gilles CHAUVIN <gcnweb@gmail.com>
+
+pkgname=live-media
+pkgver=2008.10.07
+pkgrel=1
+pkgdesc="A set of C++ libraries for multimedia streaming"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://live555.com/liveMedia/"
+depends=(gcc-libs)
+source=(http://live555.com/liveMedia/public/live.$pkgver.tar.gz)
+
+build()
+{
+ cd $startdir/src/live
+ sed -i "s|COMPILE_OPTS =.*|COMPILE_OPTS = \$(INCLUDES) -I. -DSOCKLEN_T=socklen_t -D_LARGEFILE_SOURCE=1 $CFLAGS|g" config.linux
+ ./genMakefiles linux
+ make || return 1
+
+ for dir in BasicUsageEnvironment UsageEnvironment groupsock liveMedia; do
+ mkdir -p $startdir/pkg/usr/lib/$pkgname/$dir
+ cp -r $dir/*.a $dir/include $startdir/pkg/usr/lib/$pkgname/$dir
+ done
+
+ mkdir -p $startdir/pkg/usr/bin
+ for testprog in `find testProgs -type f -perm 755`; do
+ install $testprog $startdir/pkg/usr/bin
+ done
+}
diff --git a/abs/extra-testing/mplayer/PKGBUILD b/abs/extra-testing/mplayer/PKGBUILD
index f69a21a..43dad94 100644
--- a/abs/extra-testing/mplayer/PKGBUILD
+++ b/abs/extra-testing/mplayer/PKGBUILD
@@ -2,7 +2,7 @@
# Maintainer: Thomas Bächler <thomas@archlinux.org>
pkgname=mplayer
pkgver=1.0rc2
-pkgrel=5
+pkgrel=6
pkgdesc="A movie player for linux"
arch=(i686 x86_64)
depends=('libxxf86dga' 'libxv' 'libmad' 'giflib' 'cdparanoia' 'gtk2'
diff --git a/abs/extra-testing/wavpack/PKGBUILD b/abs/extra-testing/wavpack/PKGBUILD
new file mode 100644
index 0000000..c0ab01a
--- /dev/null
+++ b/abs/extra-testing/wavpack/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 3456 2008-06-22 19:29:25Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Shinlun Hsieh <yngwiexx@yahoo.com.tw>
+# Contributor: Michal Hybner <dta081@gmail.com>
+pkgname=wavpack
+pkgver=4.50.0
+pkgrel=1
+pkgdesc="A completely open audio compression format providing lossless, high-quality lossy, and a unique hybrid compression mode"
+arch=('i686' 'x86_64')
+url="http://www.wavpack.com/"
+license=('custom')
+depends=('glibc')
+options=('!libtool')
+source=(http://www.wavpack.com/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('9cf854fc2e5757f6534a3a231ec6bfbc')
+
+build() {
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --enable-mmx --disable-static || return 1
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+ install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+ install -m644 license.txt ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+ rm -f ${startdir}/pkg/usr/lib/*.a
+}
diff --git a/abs/extra-testing/xine-lib/ChangeLog b/abs/extra-testing/xine-lib/ChangeLog
new file mode 100644
index 0000000..57c843e
--- /dev/null
+++ b/abs/extra-testing/xine-lib/ChangeLog
@@ -0,0 +1,11 @@
+2008-08-14 Eric Belanger <eric@archlinux.org>
+
+ * xine-lib 1.1.15-1
+ * Upstream update
+
+2008-07-28 Eric Belanger <eric@archlinux.org>
+
+ * xine-lib 1.1.14-2
+ * Switched to the more recent externel ffmpeg snapshot (close FS#10286)
+ * Updated win32 codecs directory location (close FS#11011)
+ * Added ChangeLog
diff --git a/abs/extra-testing/xine-lib/PKGBUILD b/abs/extra-testing/xine-lib/PKGBUILD
new file mode 100644
index 0000000..de79173
--- /dev/null
+++ b/abs/extra-testing/xine-lib/PKGBUILD
@@ -0,0 +1,38 @@
+# $Id: PKGBUILD 10479 2008-08-29 07:46:38Z pierre $
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Judd Vinet <jvinet@zeroflux.org>
+
+pkgname=xine-lib
+pkgver=1.1.15
+pkgrel=2
+pkgdesc="A free video player for Unix"
+arch=('i686' 'x86_64')
+url="http://xinehq.de/"
+license=('LGPL' 'GPL')
+depends=('libgl' 'libxvmc' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora'
+ 'libxcb' 'wavpack' 'ffmpeg>=20080715')
+makedepends=('pkgconfig' 'libtool' 'automake' 'autoconf' 'imagemagick'
+ 'smbclient' 'mesa' 'alsa-lib' )
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.bz2
+ xine-lib-1.1.1-configure-no-mcpu-march.patch xine-header.patch)
+md5sums=('42a2b4893b7f892eb334de2fc36d49c8' '9776df4eb54d2f1f68d8268adbc3b5c2'
+ 'b139ee72700f8d118f9051e9140473f5')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ patch -Np0 -i ../xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
+ patch -p0 -i ../xine-header.patch || return 1
+ libtoolize --force --copy || return 1
+ aclocal -I m4 || return 1
+ autoconf || return 1
+ automake --add-missing || return 1
+
+ ./configure --prefix=/usr --with-w32-path=/usr/lib/codecs \
+ --with-xv-path=/usr/lib --with-libflac --with-wavpack \
+ --without-arts --without-jack --without-speex \
+ --disable-gnomevfs --without-pulseaudio --disable-aalib \
+ --disable-modplug --with-external-ffmpeg || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+}
diff --git a/abs/extra-testing/xine-lib/xine-header.patch b/abs/extra-testing/xine-lib/xine-header.patch
new file mode 100644
index 0000000..a37bfb9
--- /dev/null
+++ b/abs/extra-testing/xine-lib/xine-header.patch
@@ -0,0 +1,11 @@
+--- src/xine-engine/buffer.h 2008-07-16 23:01:56.000000000 +0200
++++ src/xine-engine/buffer.h 2008-08-24 21:14:39.000000000 +0200
+@@ -676,7 +676,7 @@
+ /* convert xine_waveformatex struct from little endian */
+ void _x_waveformatex_le2me( xine_waveformatex *wavex ) XINE_PROTECTED;
+
+-static inline _x_is_fourcc(void *ptr, void *tag) {
++static __inline _x_is_fourcc(void *ptr, void *tag) {
+ return memcmp(ptr, tag, 4) == 0;
+ }
+
diff --git a/abs/extra-testing/xine-lib/xine-lib-1.1.1-configure-no-mcpu-march.patch b/abs/extra-testing/xine-lib/xine-lib-1.1.1-configure-no-mcpu-march.patch
new file mode 100644
index 0000000..4b6ba9e
--- /dev/null
+++ b/abs/extra-testing/xine-lib/xine-lib-1.1.1-configure-no-mcpu-march.patch
@@ -0,0 +1,13 @@
+--- m4/optimizations.m4.orig 2005-11-27 01:20:08.000000000 +0100
++++ m4/optimizations.m4 2005-11-27 01:22:56.000000000 +0100
+@@ -161,10 +161,6 @@
+ ;;
+
+ esac
+- if test x"$archopt_val" != x; then
+- CFLAGS="$sarchopt=$archopt_val $CFLAGS"
+- DEBUG_CFLAGS="$sarchopt=$archopt_val $DEBUG_CFLAGS"
+- fi
+ fi
+ else
+ dnl we have the Intel compiler
diff --git a/abs/extra-testing/xine-ui/ChangeLog b/abs/extra-testing/xine-ui/ChangeLog
new file mode 100644
index 0000000..e5fb3e8
--- /dev/null
+++ b/abs/extra-testing/xine-ui/ChangeLog
@@ -0,0 +1,7 @@
+2008-08-19 Eric Belanger <eric@archlinux.org>
+
+ * xine-ui 0.99.5-4
+ * Added xine and xine-remote binaries (missing in 0.99.5-3)
+ * Added missing libxt makedepends
+ * Replaced .install file by an optdepends
+ * Added ChangeLog
diff --git a/abs/extra-testing/xine-ui/PKGBUILD b/abs/extra-testing/xine-ui/PKGBUILD
new file mode 100644
index 0000000..79ab3c3
--- /dev/null
+++ b/abs/extra-testing/xine-ui/PKGBUILD
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD 9858 2008-08-19 23:56:23Z eric $
+# Maintainer: Eric Belanger <eric@archlinux.org>
+
+pkgname=xine-ui
+pkgver=0.99.5
+pkgrel=4
+pkgdesc="A free video player for Unix"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://xinehq.de/"
+depends=('xine-lib' 'curl>=7.16.2' 'libxtst' 'libxinerama' 'libxv' 'libpng' 'libxft' 'libsm' 'libxxf86vm' 'ncurses>=5.6-7')
+makedepends=('lirc' 'libxt')
+optdepends=('lirc')
+options=('!emptydirs')
+source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.gz)
+md5sums=('e643cd1fcad4d98a5ae4eb877ce5087b')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ #add missing constant (defined in xine.h from xine-lib cvs)
+ echo '#define XINE_MSG_AUDIO_OUT_UNAVAILABLE 11' >> src/xitk/common.h
+ ./configure --prefix=/usr --mandir=/usr/share/man \
+ --with-curses --with-x --enable-lirc --without-aalib
+ make || return 1
+ make DESTDIR=${pkgdir} install
+ install -d ${pkgdir}/usr/share/applications
+ echo "Categories=Application;AudioVideo;" >> ${pkgdir}/usr/share/xine/desktop/xine.desktop
+ mv ${pkgdir}/usr/share/xine/desktop/xine.desktop ${pkgdir}/usr/share/applications
+}